@echo off
REM MakeDisk v3.1.3
REM Last modified 10/09/2001
REM Copies the installation files to a diskette or other location.
REM If you copy the contents of this CD-ROM to a hard disk,
REM keep the directory structure on the CD-ROM intact.
REM By doing so, this file will still work without modifications.

REM user must provide destination in %1

if "%1" == "" goto USAGE
if "%1" == "NW" goto USAGE
if "%1" == "Nw" goto USAGE
if "%1" == "nw" goto USAGE
if "%1" == "NT" goto USAGE
if "%1" == "Nt" goto USAGE
if "%1" == "nt" goto USAGE
if "%1" == "W2K" goto USAGE
if "%1" == "W2k" goto USAGE
if "%1" == "w2k" goto USAGE
if "%1" == "XP" goto USAGE
if "%1" == "Xp" goto USAGE
if "%1" == "xp" goto USAGE
if "%1" == "W9X" goto USAGE
if "%1" == "W9x" goto USAGE
if "%1" == "w9x" goto USAGE
if "%1" == "w9X" goto USAGE
if "%1" == "w98" goto USAGE
if "%1" == "W98" goto USAGE
if "%1" == "wme" goto USAGE
if "%1" == "wMe" goto USAGE
if "%1" == "wME" goto USAGE
if "%1" == "Wme" goto USAGE
if "%1" == "WMe" goto USAGE
if "%1" == "WME" goto USAGE


REM Clean up possible trailing backslash
set dest=
if "%1" == "" set dest=A:
if "%1" == "A:\" set dest=A:
if "%1" == "a:\" set dest=A:
if "%1" == "B:\" set dest=B:
if "%1" == "b:\" set dest=B:
if "%dest%" == "" goto setdest
goto dest_ok

:setdest
set dest=%1

:dest_ok
REM determine if we are copying to a Diskette drive

if "%dest%" == "A:" goto floppy
if "%dest%" == "a:" goto floppy
if "%dest%" == "B:" goto floppy
if "%dest%" == "b:" goto floppy
goto nofloppy

:floppy
set floppy=yes

goto checkos

:nofloppy
set floppy=no

:checkos

REM user must provide OS in %2
if "%2" == "" goto USAGE
if "%2" == "NW" goto NOVELL
if "%2" == "Nw" goto NOVELL
if "%2" == "nw" goto NOVELL
if "%2" == "NT" goto NT
if "%2" == "Nt" goto NT
if "%2" == "nt" goto NT
if "%2" == "W2K" goto W2K
if "%2" == "W2k" goto W2k
if "%2" == "w2k" goto W2K
if "%2" == "XP" goto XP
if "%2" == "Xp" goto XP
if "%2" == "xp" goto XP
if "%2" == "W9X" goto WME
if "%2" == "W9x" goto WME
if "%2" == "w9x" goto WME
if "%2" == "w9X" goto WME
if "%2" == "w98" goto WME
if "%2" == "W98" goto WME
if "%2" == "wme" goto WME
if "%2" == "wMe" goto WME
if "%2" == "wME" goto WME
if "%2" == "Wme" goto WME
if "%2" == "WMe" goto WME
if "%2" == "WME" goto WME

REM %2 was unrecognized
goto USAGE


:NOVELL
REM copies Novell files
echo This batch file will copy files to %dest%
echo.

if "%floppy%" == "no" goto NW_HD

echo Please insert a blank, formatted disk into %dest%
echo Label this disk as "Intel(R) PRO/1000 Gigabit Adapter Driver Disk"
pause

:NW_HD
echo Copying Novell Netware files to %dest%

md %dest%\Nwserver

REM copy needed files from the root
copy /v ..\DIAG1000.EXE %dest%
copy /v ..\*.TIC %dest%

REM copy driver subdirectories
copy /v ..\Nwserver\*.* %dest%\Nwserver

echo.
echo Done

goto END


:NT
if "%floppy%" == "no" goto NT_HD1

echo This batch file will copy files to %dest%
echo Windows NT requires two (2) blank, formatted diskettes
echo.
echo Please insert the first blank, formatted disk into %dest%
echo Label this disk as "Intel(R) PRO/1000 Gigabit Adapter Driver Disk 1"
pause
echo Making first disk...
goto NT_MKDSK1

:NT_HD1

echo Copying Windows NT 4.0 files to %dest%

:NT_MKDSK1


REM MAKE DIRECTORIES FIRST
md %dest%\Windows
md %dest%\Windows\NMS
md %dest%\Windows\NMS\IA32
md %dest%\Windows\PROSET2
md %dest%\Windows\PROSET2\IA32

REM COPY FILES
copy /v ..\e1000dsk %dest%
copy /v ..\oemsetup.inf %dest%

copy /v ..\Windows\NMS\IA32\nmscfg.sy_ %dest%\Windows\NMS\IA32
copy /v ..\Windows\NMS\IA32\nmsdd.sy_ %dest%\Windows\NMS\IA32
copy /v ..\Windows\NMS\IA32\nmssvc.ex_ %dest%\Windows\NMS\IA32
copy /v ..\Windows\NMS\IA32\nmssvcps.dl_ %dest%\Windows\NMS\IA32
copy /v ..\Windows\NMS\IA32\nmsmsg.dl_ %dest%\Windows\NMS\IA32
copy /v ..\Windows\NMS\IA32\nmsapi.dl_ %dest%\Windows\NMS\IA32
copy /v ..\Windows\NMS\IA32\regsvr32.ex_ %dest%\Windows\NMS\IA32

copy /v ..\Windows\ProSet2\IA32\promon.ex_ %dest%\Windows\PROSET2\IA32
copy /v ..\Windows\ProSet2\IA32\prosetp.hl_ %dest%\Windows\PROSET2\IA32
copy /v ..\Windows\ProSet2\IA32\prosetp.cn_ %dest%\Windows\PROSET2\IA32
copy /v ..\Windows\ProSet2\IA32\roboex32.dl_ %dest%\Windows\PROSET2\IA32

if "%floppy%" == "no" goto NT_HD2

echo.
echo Please remove the first diskette from drive %dest% and then
echo insert the second blank, formatted disk into %dest%
echo Label this disk as "Intel(R) PRO/1000 Gigabit Adapter Driver Disk 2"
echo.
echo When ready, press ENTER to continue
echo.
pause
echo Making second disk...
REM DISK 2 Make Directories
md %dest%\Windows
md %dest%\Windows\NMS
md %dest%\Windows\NMS\IA32
md %dest%\Windows\Proset2
md %dest%\Windows\Proset2\IA32

REM Disk 2 Copy Files

:NT_HD2
md %dest%\Windows\Drivers
md %dest%\Windows\Drivers\IA32
copy /v ..\e1000dk2 %dest%
copy /v ..\oemsetup.inf %dest%
copy /v ..\Windows\ProSet2\IA32\prosetp.cp_ %dest%\Windows\PROSET2\IA32

if exist ..\Windows\ProSet2\IA32\prosetp.re_ copy /v ..\Windows\ProSet2\IA32\prosetp.re_ %dest%\Windows\ProSet2\IA32

if exist ..\Windows\Drivers\IA32\e1000nt4.sy_ copy /v ..\WIndows\Drivers\IA32\e1000nt4.sy_ %dest%\Windows\Drivers\IA32
if exist ..\Windows\Drivers\IA32\iansnt4n.sy_ copy /v ..\Windows\Drivers\IA32\iansnt4n.sy_ %dest%\Windows\Drivers\IA32
if exist ..\Windows\Drivers\IA32\iansnt4e.sy_ copy /v ..\Windows\Drivers\IA32\iansnt4e.sy_ %dest%\Windows\Drivers\IA32
if exist ..\Windows\Drivers\IA32\iansnt4.sy_ copy /v ..\Windows\Drivers\IA32\iansnt4.sy_ %dest%\Windows\Drivers\IA32

if exist ..\Windows\NMS\IA32\MVFT.re_ copy /v ..\Windows\NMS\IA32\MVFT.re_ %dest%\Windows\NMS\IA32

echo Done
goto END


:W2K
echo This batch file will copy the Windows 2000 base driver files to %dest%
echo To install Intel(R) PROSet II and other advanced features please use
echo the Intel(R) PRO/1000 Gigabit Adapter Driver CD.
echo.
if "%floppy%" == "no" goto W2K_HD

echo Please insert a blank, formatted disk into %dest% 
echo Label this disk as "Intel(R) PRO/1000 Gigabit Adapter Driver Disk"
pause

:W2K_HD
echo Copying Windows 2000 drivers to %dest% 

REM MAKE DIRECTORIES FIRST
md %dest%\Windows
md %dest%\Windows\Drivers
md %dest%\Windows\Drivers\IA32

REM COPY FILES
copy /v ..\NET8254X.INF %dest%
copy /v ..\E1000.cat %dest%
copy /v ..\Windows\Drivers\IA32\NET8254X.DIN %dest%\Windows\Drivers\IA32
copy /v ..\Windows\Drivers\IA32\E1000NT5.SYS %dest%\Windows\Drivers\IA32
copy /v ..\Windows\Drivers\IA32\prounstl.exe %dest%\Windows\Drivers\IA32
copy /v ..\Windows\Drivers\IA32\intelnic.dll %dest%\Windows\Drivers\IA32

echo.
echo Done

goto END

:XP
echo This batch file will copy the Windows XP base driver files to %dest%
echo To install Intel(R) PROSet II and other advanced features please use
echo the Intel(R) PRO/1000 Gigabit Adapter Driver CD.
echo.
if "%floppy%" == "no" goto XP_HD

echo Please insert a blank, formatted disk into %dest% 
echo Label this disk as "Intel(R) PRO/1000 Gigabit Adapter Driver Disk"
pause

:XP_HD
echo Copying Windows XP Files to %dest%

REM MAKE DIRECTORIES FIRST
md %dest%\Windows
md %dest%\Windows\Drivers
md %dest%\Windows\Drivers\IA32
md %dest%\Windows\Drivers\Itanium

REM COPY FILES
copy /v ..\NET8254X.INF %dest%
copy /v ..\E1000.cat %dest%
copy /v ..\Windows\Drivers\IA32\NET8254X.DIN %dest%\Windows\Drivers\IA32
copy /v ..\Windows\Drivers\IA32\E1000NT5.SYS %dest%\Windows\Drivers\IA32
copy /v ..\Windows\Drivers\IA32\prounstl.exe %dest%\Windows\Drivers\IA32
copy /v ..\Windows\Drivers\IA32\intelnic.dll %dest%\Windows\Drivers\IA32

copy /v ..\Itanium\NET8254I.INF %dest%
copy /v ..\Itanium\E1000645.CAT %dest%
copy /v ..\Itanium\Windows\Drivers\Itanium\NET8254X.DIN %dest%\Windows\Drivers\Itanium
copy /v ..\Itanium\Windows\Drivers\Itanium\E1000645.SYS %dest%\Windows\Drivers\Itanium
copy /v ..\Itanium\Windows\Drivers\Itanium\prounstl.exe %dest%\Windows\Drivers\Itanium
echo.
echo Done

goto END

:WME
echo This batch file will copy the Windows 98SE/ME base driver files to %dest%
echo To install Intel(R) PROSet II and other advanced features please use
echo the Intel(R) PRO/1000 Gigabit Adapter Driver CD.
echo.
if "%floppy%" == "no" goto WME_HD

echo Please insert a blank, formatted disk into %dest% 
echo Label this disk as "Intel(R) PRO/1000 Gigabit Adapter Driver Disk"
pause

:WME_HD
echo Copying Windows 98SE/ME Files to %dest%

REM MAKE DIRECTORIES FIRST
md %dest%\Windows
md %dest%\Windows\Drivers
md %dest%\Windows\Drivers\IA32

REM COPY FILES
copy /v ..\NET8254D.INF %dest%
copy /v ..\E1000D.CAT %dest%
copy /v ..\WINDOWS\DRIVERS\IA32\NET8254D.DIN %dest%\WINDOWS\DRIVERS\IA32
copy /v ..\WINDOWS\DRIVERS\IA32\E1000W9X.SYS %dest%\WINDOWS\DRIVERS\IA32
copy /v ..\WINDOWS\DRIVERS\IA32\8255xdel.exe %dest%\WINDOWS\DRIVERS\IA32

echo.
echo Done

goto END

:USAGE
echo Copies the adapter drivers and diagnostics, and readme files to a
echo floppy disk (varies by OS depending on space).
echo.
echo %0 [destination] [os]
echo. 
echo   destination  The location to write the files to (such as A:)
Echo   os           Operating System to copy drivers for:
echo. 
echo   NW           Novell NetWare c-spec drivers and diagnostic are copied
echo   NT           Microsoft Windows NT 4.0 drivers and PROSet II files are copied
echo   W2K          Microsoft Windows 2000 drivers only are copied
echo   XP           Microsoft Windows XP drivers only are copied
echo   W9X          Microsoft Windows 98SE/ME drivers only are copied
echo.   
echo Examples:
echo   %0 A: NW
echo   %0 A: NT
echo   %0 A: W2K
echo   %0 A: XP
echo   %0 A: W9X
echo.
echo *  Third party trademarks or brand names are the property of their owners.
pause

:END

