#
# Spec file for Adaptec SmartRAID driver
#
# XXX legacy requires './' payload prefix to be omitted from rpm packages.
%define	_noPayloadPrefix	1

Summary: Adaptec driver binaries and patches
Name: dptdriver
Version: 2.4
Release: 5
Copyright: GPL
Group: System/Kernel
URL: http://linux.adaptec.com/
Distribution: linux
Vendor: Adaptec, Inc.
Packager: Deanna Bonds <Deanna_Bonds@adaptec.com>

%description
This driver supports Adaptec I2O RAID cards and the DPT SmartRAID cards.  
This package contains some prebuilt binaries and kernel source patches.  
If the prebuilt binaries are not what your system needs, then unpack 
the patches in /usr/adaptec/i2o_driver/patches.tgz and patch your kernel 
source code.

%prep
%build

%install

%files
%doc /usr/adaptec/i2o_driver/Read.me
/usr/adaptec/i2o_driver/dpt_i2o_prebuilt.cgz
/usr/adaptec/i2o_driver/patches.tgz
/usr/adaptec/i2o_driver/install.sh
/usr/adaptec/i2o_driver/adpt_mkinitrd
/usr/adaptec/i2o_driver/adpt_mk_initrd
/usr/adaptec/i2o_driver/source.tgz

%post
(cd /usr/adaptec/i2o_driver; ./install.sh)
